Static Expression Executor

Last update: September 10, 2026
•
1 min to read

Execute a static expression using the API. This endpoint executes a predefined expression and returns the result based on the configured logic.

HTTP Method

POST

Endpoint

/api/data/records/staticexpression

Request URL

{Base URL}/api/data/records/staticexpression

Request Body

{
  "QueryInfo": {
    "Meta": {},
    "Hints": {
      "ExpressionName": "Fetch-AppNotifications"
    }
  }
}

Parameters

Param NameData TypeDescription
ExpressionNameStringName of the expression. For example, Fetch-AppNotifications.

Note: The specified expression must be configured in the following locations:

  • Customization → {CustomizationBranch}/Expressions/ExternalAPI/{ExpressionName}
  • Product → HubEra/Artifacts/Expression/ExternalAPI/{ExpressionName}

Missing or invalid credentials returns a 401 Unauthorized error.

Curl Example

Multi-line format (for readability)

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X POST \
     "https://hubstreamproduction.hubstreamonline.com/api/data/records/staticexpression" \
     -H "Content-Type: application/json" \
     -d '{
       "QueryInfo": {
         "Meta": {},
         "Hints": {
           "ExpressionName": "Fetch-AppNotifications"
         }
       }
     }'

Single-line format (for terminal use)

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/records/staticexpression" -H "Content-Type: application/json" -d "{\"QueryInfo\":{\"Meta\":{},\"Hints\":{\"ExpressionName\":\"Fetch-AppNotifications\"}}}"

Responses

Status code 2XX indicates a successful request and response.

200 OK

Description: Operation succeeded.

The response is returned as a data table.